# Uses of Class
java.net.URL

Packages that use URL
Package
Description
java.applet
Provides the classes necessary to create an applet and the classes an applet uses to communicate with its applet context.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.beans.beancontext
Provides classes and interfaces relating to bean context.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.net
Provides the classes for implementing networking applications.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
java.security
Provides the classes and interfaces for the security framework.
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.imageio
The main package of the Java Image I/O API.
javax.net.ssl
Provides classes for the secure socket package.
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.
javax.sound.midi.spi
Supplies interfaces for service providers to implement when offering new MIDI devices, MIDI file readers and writers, or sound bank readers.
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.
javax.sound.sampled.spi
Supplies abstract classes for service providers to subclass when offering new audio devices, sound file readers and writers, or audio format converters.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.
javax.xml.validation
Provides an API for validation of XML documents.

## Uses of URL in java.applet

Methods in java.applet that return URL
Modifier and Type
Method
Description
`URL`
Applet.`getCodeBase()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the base `URL`.
`URL`
AppletStub.`getCodeBase()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the base `URL`.
`URL`
Applet.`getDocumentBase()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `URL` of the document in which this applet is embedded.
`URL`
AppletStub.`getDocumentBase()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `URL` of the document in which the applet is embedded.
Methods in java.applet with parameters of type URL
Modifier and Type
Method
Description
`AudioClip`
Applet.`getAudioClip(URL url)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the `AudioClip` object specified by the `URL` argument.
`AudioClip`
Applet.`getAudioClip(URL url, String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the `AudioClip` object specified by the `URL` and `name` arguments.
`AudioClip`
AppletContext.`getAudioClip(URL url)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates an audio clip.
`Image`
Applet.`getImage(URL url)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns an `Image` object that can then be painted on the screen.
`Image`
Applet.`getImage(URL url, String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns an `Image` object that can then be painted on the screen.
`Image`
AppletContext.`getImage(URL url)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns an `Image` object that can then be painted on the screen.
`static final AudioClip`
Applet.`newAudioClip(URL url)`
Deprecated, for removal: This API element is subject to removal in a future version.
Get an audio clip from the given `URL`.
`void`
Applet.`play(URL url)`
Deprecated, for removal: This API element is subject to removal in a future version.
Plays the audio clip at the specified absolute `URL`.
`void`
Applet.`play(URL url, String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Plays the audio clip given the `URL` and a specifier that is relative to it.
`void`
AppletContext.`showDocument(URL url)`
Deprecated, for removal: This API element is subject to removal in a future version.
Requests that the browser or applet viewer show the Web page indicated by the `url` argument.
`void`
AppletContext.`showDocument(URL url, String target)`
Deprecated, for removal: This API element is subject to removal in a future version.
Requests that the browser or applet viewer show the Web page indicated by the `url` argument.

## Uses of URL in java.awt

Methods in java.awt that return URL
Modifier and Type
Method
Description
`URL`
SplashScreen.`getImageURL()`
Returns the current splash screen image.
Methods in java.awt with parameters of type URL
Modifier and Type
Method
Description
`abstract Image`
Toolkit.`createImage(URL url)`
Returns an image which gets pixel data from the specified URL.
`abstract Image`
Toolkit.`getImage(URL url)`
Returns an image which gets pixel data from the specified URL.
`void`
SplashScreen.`setImageURL(URL imageURL)`
Changes the splash screen image.

## Uses of URL in java.beans.beancontext

Methods in java.beans.beancontext that return URL
Modifier and Type
Method
Description
`URL`
BeanContext.`getResource(String name, BeanContextChild bcc)`
Deprecated, for removal: This API element is subject to removal in a future version.
Analogous to `java.lang.ClassLoader.getResource()`, this method allows a `BeanContext` implementation to interpose behavior between the child `Component` and underlying `ClassLoader`.
`URL`
BeanContextSupport.`getResource(String name, BeanContextChild bcc)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of URL in java.io

Methods in java.io that return URL
Modifier and Type
Method
Description
`URL`
File.`toURL()`
Deprecated.
This method does not automatically escape characters that are illegal in URLs.

## Uses of URL in java.lang

Methods in java.lang that return URL
Modifier and Type
Method
Description
`protected URL`
ClassLoader.`findResource(String name)`
Finds the resource with the given name.
`protected URL`
ClassLoader.`findResource(String moduleName, String name)`
Returns a URL to a resource in a module defined to this class loader.
`URL`
Class.`getResource(String name)`
Finds a resource with a given name.
`URL`
ClassLoader.`getResource(String name)`
Finds the resource with the given name.
`static URL`
ClassLoader.`getSystemResource(String name)`
Find a resource of the specified name from the search path used to load classes.
Methods in java.lang that return types with arguments of type URL
Modifier and Type
Method
Description
`protected Enumeration<URL>`
ClassLoader.`findResources(String name)`
Returns an enumeration of `URL` objects representing all the resources with the given name.
`Enumeration<URL>`
ClassLoader.`getResources(String name)`
Finds all the resources with the given name.
`static Enumeration<URL>`
ClassLoader.`getSystemResources(String name)`
Finds all resources of the specified name from the search path used to load classes.
`Stream<URL>`
ClassLoader.`resources(String name)`
Returns a stream whose elements are the URLs of all the resources with the given name.
Methods in java.lang with parameters of type URL
Modifier and Type
Method
Description
`protected Package`
ClassLoader.`definePackage(String name, String specTitle, String specVersion, String specVendor, String implTitle, String implVersion, String implVendor, URL sealBase)`
Defines a package by name in this `ClassLoader`.
`boolean`
Package.`isSealed(URL url)`
Returns true if this package is sealed with respect to the specified code source `url`.

## Uses of URL in java.net

Fields in java.net declared as URL
Modifier and Type
Field
Description
`protected URL`
URLConnection.`url`
The URL represents the remote object on the World Wide Web to which this connection is opened.
Methods in java.net that return URL
Modifier and Type
Method
Description
`URL`
URLClassLoader.`findResource(String name)`
Finds the resource with the specified name on the URL search path.
`URL`
JarURLConnection.`getJarFileURL()`
Returns the URL for the Jar file for this connection.
`protected URL`
Authenticator.`getRequestingURL()`
Returns the URL that resulted in this request for authentication.
`URL`
URLConnection.`getURL()`
Returns the value of this `URLConnection`'s `URL` field.
`URL[]`
URLClassLoader.`getURLs()`
Returns the search path of URLs for loading classes and resources.
`static URL`
URL.`of(URI uri, URLStreamHandler handler)`
Creates a URL from a URI, as if by invoking `uri.toURL()`, but associating it with the given `URLStreamHandler`, if allowed.
`URL`
URI.`toURL()`
Constructs a URL from this URI.
Methods in java.net that return types with arguments of type URL
Modifier and Type
Method
Description
`Enumeration<URL>`
URLClassLoader.`findResources(String name)`
Returns an Enumeration of URLs representing all of the resources on the URL search path having the specified name.
Methods in java.net with parameters of type URL
Modifier and Type
Method
Description
`protected void`
URLClassLoader.`addURL(URL url)`
Appends the specified URL to the list of URLs to search for classes and resources.
`protected Package`
URLClassLoader.`definePackage(String name, Manifest man, URL url)`
Defines a new package by name in this `URLClassLoader`.
`protected boolean`
URLStreamHandler.`equals(URL u1, URL u2)`
Provides the default equals calculation.
`protected InetAddress`
URLStreamHandler.`getHostAddress(URL u)`
Get the IP address of our host.
`protected int`
URLStreamHandler.`hashCode(URL u)`
Provides the default hash calculation.
`protected boolean`
URLStreamHandler.`hostsEqual(URL u1, URL u2)`
Compares the host components of two URLs.
`static URLClassLoader`
URLClassLoader.`newInstance(URL[] urls)`
Creates a new instance of URLClassLoader for the specified URLs and default parent class loader.
`static URLClassLoader`
URLClassLoader.`newInstance(URL[] urls, ClassLoader parent)`
Creates a new instance of URLClassLoader for the specified URLs and parent class loader.
`protected abstract URLConnection`
URLStreamHandler.`openConnection(URL u)`
Opens a connection to the object referenced by the `URL` argument.
`protected URLConnection`
URLStreamHandler.`openConnection(URL u, Proxy p)`
Same as openConnection(URL), except that the connection will be made through the specified proxy; Protocol handlers that do not support proxying will ignore the proxy parameter and make a normal connection.
`protected void`
URLStreamHandler.`parseURL(URL u, String spec, int start, int limit)`
Parses the string representation of a `URL` into a `URL` object.
`static PasswordAuthentication`
Authenticator.`requestPasswordAuthentication(String host, InetAddress addr, int port, String protocol, String prompt, String scheme, URL url, Authenticator.RequestorType reqType)`
Ask the authenticator that has been registered with the system for a password.
`static PasswordAuthentication`
Authenticator.`requestPasswordAuthentication(Authenticator authenticator, String host, InetAddress addr, int port, String protocol, String prompt, String scheme, URL url, Authenticator.RequestorType reqType)`
Ask the given `authenticator` for a password.
`PasswordAuthentication`
Authenticator.`requestPasswordAuthenticationInstance(String host, InetAddress addr, int port, String protocol, String prompt, String scheme, URL url, Authenticator.RequestorType reqType)`
Ask this authenticator for a password.
`boolean`
URL.`sameFile(URL other)`
Compares two URLs, excluding the fragment component.
`protected boolean`
URLStreamHandler.`sameFile(URL u1, URL u2)`
Compare two urls to see whether they refer to the same file, i.e., having the same protocol, host, port, and path.
`protected void`
URLStreamHandler.`setURL(URL u, String protocol, String host, int port, String file, String ref)`
Deprecated.
Use setURL(URL, String, String, int, String, String, String, String);
`protected void`
URLStreamHandler.`setURL(URL u, String protocol, String host, int port, String authority, String userInfo, String path, String query, String ref)`
Sets the fields of the `URL` argument to the indicated values.
`protected String`
URLStreamHandler.`toExternalForm(URL u)`
Converts a `URL` of a specific protocol to a `String`.
Constructors in java.net with parameters of type URL
Modifier
Constructor
Description
`protected`
`HttpURLConnection(URL u)`
Constructor for the HttpURLConnection.
`protected`
`JarURLConnection(URL url)`
Creates the new JarURLConnection to the specified URL.
``
`URL(URL context, String spec)`
Deprecated.
Use `URI.toURL()` to construct an instance of URL.
``
`URL(URL context, String spec, URLStreamHandler handler)`
Deprecated.
Use `URL.of(URI, URLStreamHandler)` to construct an instance of URL associated with a custom protocol handler.
``
`URLClassLoader(String name, URL[] urls, ClassLoader parent)`
Constructs a new named `URLClassLoader` for the specified URLs.
``
`URLClassLoader(String name, URL[] urls, ClassLoader parent, URLStreamHandlerFactory factory)`
Constructs a new named `URLClassLoader` for the specified URLs, parent class loader, and URLStreamHandlerFactory.
``
`URLClassLoader(URL[] urls)`
Constructs a new URLClassLoader for the specified URLs using the system class loader as the parent.
``
`URLClassLoader(URL[] urls, ClassLoader parent)`
Constructs a new URLClassLoader for the given URLs.
``
`URLClassLoader(URL[] urls, ClassLoader parent, URLStreamHandlerFactory factory)`
Constructs a new URLClassLoader for the specified URLs, parent class loader, and URLStreamHandlerFactory.
`protected`
`URLConnection(URL url)`
Constructs a URL connection to the specified URL.

## Uses of URL in java.rmi.server

Methods in java.rmi.server with parameters of type URL
Modifier and Type
Method
Description
`Class<?>`
LoaderHandler.`loadClass(URL codebase, String name)`
Deprecated.
no replacement
`static Class<?>`
RMIClassLoader.`loadClass(URL codebase, String name)`
Loads a class from a codebase URL.

## Uses of URL in java.security

Methods in java.security that return URL
Modifier and Type
Method
Description
`final URL`
CodeSource.`getLocation()`
Returns the location associated with this `CodeSource`.
Constructors in java.security with parameters of type URL
Modifier
Constructor
Description
``
`CodeSource(URL url, Certificate[] certs)`
Constructs a `CodeSource` and associates it with the specified location and set of certificates.
``
`CodeSource(URL url, CodeSigner[] signers)`
Constructs a `CodeSource` and associates it with the specified location and set of code signers.

## Uses of URL in java.sql

Methods in java.sql that return URL
Modifier and Type
Method
Description
`URL`
CallableStatement.`getURL(int parameterIndex)`
Retrieves the value of the designated JDBC `DATALINK` parameter as a `java.net.URL` object.
`URL`
CallableStatement.`getURL(String parameterName)`
Retrieves the value of a JDBC `DATALINK` parameter as a `java.net.URL` object.
`URL`
ResultSet.`getURL(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
`URL`
ResultSet.`getURL(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
`URL`
SQLInput.`readURL()`
Reads an SQL `DATALINK` value from the stream and returns it as a `java.net.URL` object in the Java programming language.
Methods in java.sql with parameters of type URL
Modifier and Type
Method
Description
`void`
CallableStatement.`setURL(String parameterName, URL val)`
Sets the designated parameter to the given `java.net.URL` object.
`void`
PreparedStatement.`setURL(int parameterIndex, URL x)`
Sets the designated parameter to the given `java.net.URL` value.
`void`
SQLOutput.`writeURL(URL x)`
Writes a SQL `DATALINK` value to the stream.

## Uses of URL in javax.imageio

Methods in javax.imageio with parameters of type URL
Modifier and Type
Method
Description
`static BufferedImage`
ImageIO.`read(URL input)`
Returns a `BufferedImage` as the result of decoding a supplied `URL` with an `ImageReader` chosen automatically from among those currently registered.

## Uses of URL in javax.net.ssl

Constructors in javax.net.ssl with parameters of type URL
Modifier
Constructor
Description
`protected`
`HttpsURLConnection(URL url)`
Creates an `HttpsURLConnection` using the URL specified.

## Uses of URL in javax.sound.midi

Methods in javax.sound.midi with parameters of type URL
Modifier and Type
Method
Description
`static MidiFileFormat`
MidiSystem.`getMidiFileFormat(URL url)`
Obtains the MIDI file format of the data in the specified URL.
`static Sequence`
MidiSystem.`getSequence(URL url)`
Obtains a MIDI sequence from the specified URL.
`static Soundbank`
MidiSystem.`getSoundbank(URL url)`
Constructs a `Soundbank` by reading it from the specified URL.

## Uses of URL in javax.sound.midi.spi

Methods in javax.sound.midi.spi with parameters of type URL
Modifier and Type
Method
Description
`abstract MidiFileFormat`
MidiFileReader.`getMidiFileFormat(URL url)`
Obtains the MIDI file format of the `URL` provided.
`abstract Sequence`
MidiFileReader.`getSequence(URL url)`
Obtains a MIDI sequence from the `URL` provided.
`abstract Soundbank`
SoundbankReader.`getSoundbank(URL url)`
Obtains a soundbank object from the `URL` provided.

## Uses of URL in javax.sound.sampled

Methods in javax.sound.sampled with parameters of type URL
Modifier and Type
Method
Description
`static AudioFileFormat`
AudioSystem.`getAudioFileFormat(URL url)`
Obtains the audio file format of the specified `URL`.
`static AudioInputStream`
AudioSystem.`getAudioInputStream(URL url)`
Obtains an audio input stream from the `URL` provided.

## Uses of URL in javax.sound.sampled.spi

Methods in javax.sound.sampled.spi with parameters of type URL
Modifier and Type
Method
Description
`abstract AudioFileFormat`
AudioFileReader.`getAudioFileFormat(URL url)`
Obtains the audio file format of the `URL` provided.
`abstract AudioInputStream`
AudioFileReader.`getAudioInputStream(URL url)`
Obtains an audio input stream from the `URL` provided.

## Uses of URL in javax.sql

Methods in javax.sql with parameters of type URL
Modifier and Type
Method
Description
`void`
RowSet.`setURL(int parameterIndex, URL x)`
Sets the designated parameter to the given `java.net.URL` value.

## Uses of URL in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type URL
Modifier and Type
Method
Description
`void`
BaseRowSet.`setURL(int parameterIndex, URL x)`
Sets the designated parameter to the given `java.net.URL` value.

## Uses of URL in javax.sql.rowset.serial

Methods in javax.sql.rowset.serial that return URL
Modifier and Type
Method
Description
`URL`
SerialDatalink.`getDatalink()`
Returns a new URL that is a copy of this `SerialDatalink` object.
`URL`
SQLInputImpl.`readURL()`
Reads an SQL `DATALINK` value from the stream and returns it as an `URL` object in the Java programming language.
Methods in javax.sql.rowset.serial with parameters of type URL
Modifier and Type
Method
Description
`void`
SQLOutputImpl.`writeURL(URL url)`
Writes an `java.sql.Type.DATALINK` object in the Java programming language to this `SQLOutputImpl` object.
Constructors in javax.sql.rowset.serial with parameters of type URL
Modifier
Constructor
Description
``
`SerialDatalink(URL url)`
Constructs a new `SerialDatalink` object from the given `java.net.URL` object.

## Uses of URL in javax.swing

Methods in javax.swing that return URL
Modifier and Type
Method
Description
`URL`
JEditorPane.`getPage()`
Gets the current URL being displayed.
Methods in javax.swing with parameters of type URL
Modifier and Type
Method
Description
`protected InputStream`
JEditorPane.`getStream(URL page)`
Fetches a stream for the given URL, which is about to be loaded by the `setPage` method.
`void`
JEditorPane.`setPage(URL page)`
Sets the current URL being displayed.
Constructors in javax.swing with parameters of type URL
Modifier
Constructor
Description
``
`ImageIcon(URL location)`
Creates an ImageIcon from the specified URL.
``
`ImageIcon(URL location, String description)`
Creates an ImageIcon from the specified URL.
``
`JEditorPane(URL initialPage)`
Creates a `JEditorPane` based on a specified URL for input.

## Uses of URL in javax.swing.event

Methods in javax.swing.event that return URL
Modifier and Type
Method
Description
`URL`
HyperlinkEvent.`getURL()`
Gets the URL that the link refers to.
Constructors in javax.swing.event with parameters of type URL
Modifier
Constructor
Description
``
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u)`
Creates a new object representing a hypertext link event.
``
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u, String desc)`
Creates a new object representing a hypertext link event.
``
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u, String desc, Element sourceElement)`
Creates a new object representing a hypertext link event.
``
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u, String desc, Element sourceElement, InputEvent inputEvent)`
Creates a new object representing a hypertext link event.

## Uses of URL in javax.swing.text.html

Methods in javax.swing.text.html that return URL
Modifier and Type
Method
Description
`URL`
HTMLDocument.`getBase()`
Returns the location to resolve relative URLs against.
`URL`
StyleSheet.`getBase()`
Returns the base.
`URL`
ImageView.`getImageURL()`
Return a URL for the image source, or null if it could not be determined.
Methods in javax.swing.text.html with parameters of type URL
Modifier and Type
Method
Description
`void`
StyleSheet.`importStyleSheet(URL url)`
Imports a style sheet from `url`.
`void`
StyleSheet.`loadRules(Reader in, URL ref)`
Loads a set of rules that have been specified in terms of CSS1 grammar.
`void`
HTMLDocument.`setBase(URL u)`
Sets the location to resolve relative URLs against.
`void`
StyleSheet.`setBase(URL base)`
Sets the base.
Constructors in javax.swing.text.html with parameters of type URL
Modifier
Constructor
Description
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String targetFrame)`
Creates a new object representing a html frame hypertext link event.
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, String targetFrame)`
Creates a new object representing a hypertext link event.
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, InputEvent inputEvent, String targetFrame)`
Creates a new object representing a hypertext link event.
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, String targetFrame)`
Creates a new object representing a hypertext link event.
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, Element sourceElement, String targetFrame)`
Creates a new object representing a hypertext link event.

## Uses of URL in javax.xml.validation

Methods in javax.xml.validation with parameters of type URL
Modifier and Type
Method
Description
`Schema`
SchemaFactory.`newSchema(URL schema)`
Parses the specified `URL` as a schema and returns it as a `Schema`.